Author Topic: Deepin DE Alongside Peppermint? [Abandonado]  (Read 8252 times)

Offline PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 26452
  • Karma: 65531
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 10
Re: Deepin DE Alongside Peppermint?
« Reply #30 on: April 27, 2016, 04:10:40 am »
Okay, looks like the packages in the virtual packages were mentioned twice .. try
Code: [Select]
sudo apt-get install --reinstall bluez5 brasero brasero-cdrkit brasero-common compiz dde-account-faces dde-api dde-control-center dde-daemon dde-dock-applets dde-go-dbus-factory dde-meta-core dde-qml-dbus-factory dde-workspace deepin-artwork deepin-artwork-themes deepin-cursor-theme deepin-default-settings deepin-desktop-environment deepin-gtk-theme deepin-icon-theme deepin-menu deepin-notifications deepin-qml-widgets deepin-remote-assistance deepin-ui dra-chromium dvd+rw-tools flattr-icon-theme  g++ g++-4.8 gcc gcc-4.8 genisoimage gettext growisofs grub-themes-deepin iproute libamd2.3.1 libandroid-properties1 libasan0 libasprintf-dev libassuan0 libatomic1 libblas3 libbrasero-media3-1 libc-dev-bin libc6-dev libcamd2.3.1 libccolamd2.8.0 libcholmod2.1.2 libcolamd2.8.0 libdeepin-webkit-3.0-0 libdrm-amdgpu1 libdrm-dev libexpat1-dev libgbm1 libgcc-4.8-dev libgettextpo-dev libgettextpo0 libgfortran3 libgl1-mesa-dev libglu1-mesa-dev libgmime-2.6-0 libgpgme11 libical1 libitm1 liblapack3 libmetacity-private0a liboath0 libopenal-data libopenal1 libopenconnect2 liboxideqt-qmlplugin liboxideqtcore0 liboxideqtquick0 libpkcs11-helper1 libprotobuf8 libpthread-stubs0-dev libpython-dev libpython2.7-dev libqgsttools-p1 libqt4-opengl libqt5clucene5 libqt5concurrent5 libqt5core5a libqt5dbus5 libqt5declarative5 libqt5designer5 libqt5gui5 libqt5help5 libqt5multimedia5 libqt5multimedia5-plugins libqt5multimediaquick-p5 libqt5multimediawidgets5 libqt5network5 libqt5opengl5 libqt5opengl5-dev libqt5positioning5 libqt5printsupport5 libqt5qml5 libqt5quick5 libqt5quickparticles5 libqt5quicktest5 libqt5quickwidgets5 libqt5script5 libqt5sensors5 libqt5sql5 libqt5sql5-sqlite libqt5svg5 libqt5test5 libqt5webkit5 libqt5widgets5 libqt5x11extras5 libqt5xml5 libqt5xmlpatterns5 libstdc++-4.8-dev libtotem-plparser18 libtsan0 libumfpack5.6.2 libx11-dev libx11-doc libx11-xcb-dev libxau-dev libxcb-damage0 libxcb-dri2-0-dev libxcb-dri3-dev libxcb-glx0-dev libxcb-icccm4 libxcb-present-dev libxcb-randr0-dev libxcb-render-util0 libxcb-render0-dev libxcb-shape0-dev libxcb-sync-dev libxcb-xfixes0-dev libxcb-xkb1 libxcb1-dev libxdamage-dev libxdmcp-dev libxext-dev libxfixes-dev libxkbcommon-x11-0 libxshmfence-dev libxxf86vm-dev linux-libc-dev manpages manpages-dev mesa-common-dev metacity-common nautilus network-manager-l2tp network-manager-l2tp-gnome network-manager-openconnect network-manager-openconnect-gnome network-manager-openvpn network-manager-openvpn-gnome network-manager-vpnc network-manager-vpnc-gnome openconnect openswan openvpn oxideqt-codecs python-decorator python-deepin-utils python-dev python-gconf python-numpy python-pyqt5 python-scipy python-xlib python2.7-dev python3-pyqt5 python3-pyuserinput python3-sip python3-tornado python3-xlib qml-model-qtqml-models2 qml-module-qt-labs-folderlistmodel qml-module-qt-labs-settings qml-module-qtaudioengine qml-module-qtgraphicaleffects qml-module-qtmultimedia qml-module-qtqml-models2 qml-module-qtquick-controls qml-module-qtquick-dialogs qml-module-qtquick-layouts qml-module-qtquick-localstorage qml-module-qtquick-particles2 qml-module-qtquick-privatewidgets qml-module-qtquick-window2 qml-module-qtquick-xmllistmodel qml-module-qtquick2 qml-module-qtsensors qml-module-qttest qml-module-qtwebkit qt5-default qt5-extra qt5-image-formats-plugins qt5-plugins qt5-qmake qtbase5-dev qtbase5-dev-tools qtchooser qtgstreamer-plugins qtquick1-qml-plugins qtquick1-qmltooling-plugins session-migration sgml-base startdde vpnc vpnc-scripts wodim x11proto-core-dev x11proto-damage-dev x11proto-dri2-dev x11proto-fixes-dev x11proto-gl-dev x11proto-input-dev x11proto-kb-dev x11proto-xext-dev x11proto-xf86vidmode-dev xcur2png xl2tpd xorg-sgml-doctools xtrans-dev
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec

Offline perknh

  • Trusted User
  • Hero
  • *****
  • Posts: 4013
  • Karma: 373
  • Soy un huevo, nada más.
    • View Profile
  • Peppermint version(s): Peppermint 10
Re: Deepin DE Alongside Peppermint?
« Reply #31 on: April 27, 2016, 04:17:13 am »
Spoiler (click here to view / hide)
[close]
[T]here are a lot of people happily running Peppermint ICE which hasn't been receiving ANY updates for a while now .. and I personally would STILL consider that MUCH more secure than any version of Windows with up-to-date AV/Anti-malware ;)

--  PCNetSpec, Cornwall, Eng.  Dec 03, 2013 5:18 pm

Offline PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 26452
  • Karma: 65531
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 10
Re: Deepin DE Alongside Peppermint?
« Reply #32 on: April 27, 2016, 04:25:54 am »
Okay, let's try this .. what happens if you run:
Code: [Select]
sudo apt-get install qtbase-abi-5-2-1 qtdeclarative-abi-5-2-1did they install ?
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec

Offline perknh

  • Trusted User
  • Hero
  • *****
  • Posts: 4013
  • Karma: 373
  • Soy un huevo, nada más.
    • View Profile
  • Peppermint version(s): Peppermint 10
Re: Deepin DE Alongside Peppermint?
« Reply #33 on: April 27, 2016, 04:30:04 am »
Okay, let's try this .. what happens if you run:
Code: [Select]
sudo apt-get install qtbase-abi-5-2-1 qtdeclarative-abi-5-2-1did they install ?

No.

Spoiler (click here to view / hide)
[close]
[T]here are a lot of people happily running Peppermint ICE which hasn't been receiving ANY updates for a while now .. and I personally would STILL consider that MUCH more secure than any version of Windows with up-to-date AV/Anti-malware ;)

--  PCNetSpec, Cornwall, Eng.  Dec 03, 2013 5:18 pm

Offline PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 26452
  • Karma: 65531
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 10
Re: Deepin DE Alongside Peppermint?
« Reply #34 on: April 27, 2016, 04:35:00 am »
try,
Code: [Select]
sudo apt-get updatethen
Code: [Select]
sudo apt-get install qtbase-abi-5-2-1 qtdeclarative-abi-5-2-1
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec

Offline perknh

  • Trusted User
  • Hero
  • *****
  • Posts: 4013
  • Karma: 373
  • Soy un huevo, nada más.
    • View Profile
  • Peppermint version(s): Peppermint 10
Re: Deepin DE Alongside Peppermint?
« Reply #35 on: April 27, 2016, 04:38:30 am »
try,
Code: [Select]
sudo apt-get updatethen
Code: [Select]
sudo apt-get install qtbase-abi-5-2-1 qtdeclarative-abi-5-2-1

After updating, I ran the command and got this:

Spoiler (click here to view / hide)
[close]
[T]here are a lot of people happily running Peppermint ICE which hasn't been receiving ANY updates for a while now .. and I personally would STILL consider that MUCH more secure than any version of Windows with up-to-date AV/Anti-malware ;)

--  PCNetSpec, Cornwall, Eng.  Dec 03, 2013 5:18 pm

Offline PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 26452
  • Karma: 65531
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 10
Re: Deepin DE Alongside Peppermint?
« Reply #36 on: April 27, 2016, 05:00:17 am »
run:
Code: [Select]
sudo gedit /etc/apt/sources.listfind the 2 lines at the bottom that read

Code: [Select]
deb http://packages.linuxdeepin.com/deepin trusty main non-free universe
deb-src http://packages.linuxdeepin.com/deepin trusty main non-free universe
and change them to
Code: [Select]
# deb http://packages.linuxdeepin.com/deepin trusty main non-free universe
# deb-src http://packages.linuxdeepin.com/deepin trusty main non-free universe
SAVE the file and exit gedit

back in the terminal run:
Code: [Select]
sudo apt-get updatethen
Code: [Select]
sudo apt-get install qtbase-abi-5-2-1 qtdeclarative-abi-5-2-1did they install ?
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec

Offline perknh

  • Trusted User
  • Hero
  • *****
  • Posts: 4013
  • Karma: 373
  • Soy un huevo, nada más.
    • View Profile
  • Peppermint version(s): Peppermint 10
Re: Deepin DE Alongside Peppermint?
« Reply #37 on: April 27, 2016, 05:09:33 am »
No.  All I did was add a pound sign and a space before each of those two commands in the sources list.  Of course I saved and updated too.

This is what I got after running the command.  It appears the same to me:

Spoiler (click here to view / hide)
[close]
[T]here are a lot of people happily running Peppermint ICE which hasn't been receiving ANY updates for a while now .. and I personally would STILL consider that MUCH more secure than any version of Windows with up-to-date AV/Anti-malware ;)

--  PCNetSpec, Cornwall, Eng.  Dec 03, 2013 5:18 pm

Offline murraymint

  • Trusted User
  • Veteran
  • *****
  • Posts: 2180
  • Karma: 457
  • soft boiled with a yolk of gold
    • View Profile
  • Peppermint version(s): 7, 8, 9
Re: Deepin DE Alongside Peppermint?
« Reply #38 on: April 27, 2016, 05:30:49 am »
Wouldn't aptitude give more clues as to how to get those packages installed maybe?  :-\

Offline perknh

  • Trusted User
  • Hero
  • *****
  • Posts: 4013
  • Karma: 373
  • Soy un huevo, nada más.
    • View Profile
  • Peppermint version(s): Peppermint 10
Re: Deepin DE Alongside Peppermint?
« Reply #39 on: April 27, 2016, 05:33:34 am »
Wouldn't aptitude give more clues as to how to get those packages installed maybe?  :-\

It's installed.  I have it available if needed.  ;)
[T]here are a lot of people happily running Peppermint ICE which hasn't been receiving ANY updates for a while now .. and I personally would STILL consider that MUCH more secure than any version of Windows with up-to-date AV/Anti-malware ;)

--  PCNetSpec, Cornwall, Eng.  Dec 03, 2013 5:18 pm

Offline PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 26452
  • Karma: 65531
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 10
Re: Deepin DE Alongside Peppermint?
« Reply #40 on: April 27, 2016, 05:41:08 am »
okay what's the output from:
Code: [Select]
sudo aptitude install -s qtbase-abi-5-2-1 qtdeclarative-abi-5-2-1
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec

Offline perknh

  • Trusted User
  • Hero
  • *****
  • Posts: 4013
  • Karma: 373
  • Soy un huevo, nada más.
    • View Profile
  • Peppermint version(s): Peppermint 10
Re: Deepin DE Alongside Peppermint?
« Reply #41 on: April 27, 2016, 05:43:49 am »
okay what's the output from:
Code: [Select]
sudo aptitude install -s qtbase-abi-5-2-1 qtdeclarative-abi-5-2-1

Spoiler (click here to view / hide)
[close]
[T]here are a lot of people happily running Peppermint ICE which hasn't been receiving ANY updates for a while now .. and I personally would STILL consider that MUCH more secure than any version of Windows with up-to-date AV/Anti-malware ;)

--  PCNetSpec, Cornwall, Eng.  Dec 03, 2013 5:18 pm

Offline PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 26452
  • Karma: 65531
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 10
Re: Deepin DE Alongside Peppermint?
« Reply #42 on: April 27, 2016, 05:52:26 am »
I don't get why they wont install on your system .. they do on mine.

have you fully updated Peppermint ?



Try
Code: [Select]
sudo apt-get updatethen
Code: [Select]
sudo apt-get upgradethen
Code: [Select]
sudo apt-get remove --purge qtbase-abi-5-2-1 qtdeclarative-abi-5-2-1then
Code: [Select]
sudo apt-get install --reinstall qtbase-abi-5-2-1 qtdeclarative-abi-5-2-1
« Last Edit: April 27, 2016, 05:55:26 am by PCNetSpec »
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec

Offline perknh

  • Trusted User
  • Hero
  • *****
  • Posts: 4013
  • Karma: 373
  • Soy un huevo, nada más.
    • View Profile
  • Peppermint version(s): Peppermint 10
Re: Deepin DE Alongside Peppermint?
« Reply #43 on: April 27, 2016, 06:25:01 am »
Hello PCNetSpec,

I just ran sudo apt-get autoclean.  And, it's like I don't have Deepin here anymore.  What a list of items I had there!  Do you think I need to reinstall again?

If it's working for your computer and it's not working for mine, the problem is with my computer and not with Deepin.

perknh

[T]here are a lot of people happily running Peppermint ICE which hasn't been receiving ANY updates for a while now .. and I personally would STILL consider that MUCH more secure than any version of Windows with up-to-date AV/Anti-malware ;)

--  PCNetSpec, Cornwall, Eng.  Dec 03, 2013 5:18 pm

Offline PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 26452
  • Karma: 65531
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 10
Re: Deepin DE Alongside Peppermint?
« Reply #44 on: April 27, 2016, 06:29:16 am »
I didn't say deepin is working on my system .. I meant those two virtual packages installed on my system.

what happened when you did what I asked in my previous post ?
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec